pl_who.d(1m)

NAME
pl_who.d - trace Perl subroutine execution by process using DTrace.

SYNOPSIS
pl_who.d

DESCRIPTION
This traces Perl activity from all Perl programs on the system that are running with Perl provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_who.d

FIELDS

PID Process ID of Perl

UID User ID of the owner

SUBS
    Number of subroutine calls

FILE
    Pathname of the Perl program

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)